Bug 189543

Summary: Bugzilla Bug 186164 isn't solved, still
Product: [Fedora] Fedora Reporter: Jobst Hoffmann <j.hoffmann>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-20 06:34:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
/etc/modprobe.d/blacklist-compat
none
the log from system-config-soundcard none

Description Jobst Hoffmann 2006-04-20 16:52:42 EDT
Description of problem:

I've just installed fedora 5 from the installation CDs
on my IBM Lenovo Thinkpad T60p, I
am experiencing a hard hang after seeing the "Starting udev" text.

I followed all the hints from Bugzilla Bug 186164 – udev hang on boot
but none of them did remedy the problem.

Version-Release number of selected component (if applicable):
Stock udev from FC5 DVD

Steps to Reproduce:
1. Install FC5, accepting all defaults
2. Reboot
3. Observe hang

How reproducible:
Always

Actual results:
Computer hangs

Expected results:
Computer runs

Additional info:
Comment 1 Jobst Hoffmann 2006-04-21 08:34:49 EDT
In the meantime I've updated the kernel to 2.6.16-1.2096_FC5smp and xorg to 
xorg-x11-server-Xorg-1.0.1-9. I've also installed the pcmciautils-012-1.i386.rpm
package.

I get the message:
Starting udev: Wait timeout. Will continue in the background

The computer is responsive, but it waits until eternity... :-(

By the way: adding the "acpi=off" ended in Kernel panic, because 
"ata1 failed to respond (30 secs)"
Comment 2 Harald Hoyer 2006-04-21 09:11:27 EDT
Created attachment 128083 [details]
/etc/modprobe.d/blacklist-compat

Does it help, if you copy this file to /etc/modprobe.d/blacklist-compat?
Comment 3 Jobst Hoffmann 2006-04-21 12:19:23 EDT
No, unfortumately not. The behaviour is the same as before:

Starting udev: Wait timeout. Will continue in the background

The computer is responsive, but it waits until eternity... :-(
Comment 4 Jobst Hoffmann 2006-04-25 09:01:22 EDT
My computer is still waiting ...

Can I do something to isolate the error further? I need my Linux box very urgent!!!
Comment 5 Harald Hoyer 2006-04-25 09:23:29 EDT
hmm.. /etc/udev/udev.conf ... log to debug
Comment 6 Harald Hoyer 2006-04-25 09:24:29 EDT
udev_log="debug"
Comment 7 Jobst Hoffmann 2006-04-25 12:25:40 EDT
There are too many lines too fast going through the screen,
but I recognize a strange messaage:

pass_env_to_socket: passing -1 bytes to ... /org/...
Comment 8 Harald Hoyer 2006-04-26 04:31:35 EDT
comment out the line in 50-udev.rules:
ACTION=="add", SUBSYSTEM=="?*", ENV{MODALIAS}=="?*", RUN+="/sbin/modprobe
$env{MODALIAS}"

This will prevent module loading and retry... I suspect a module will get
loaded, which lets the kernel to stall. Then you could load all the modules by
hand and see which stalls..
Comment 9 Jobst Hoffmann 2006-04-27 14:15:22 EDT
Created attachment 128317 [details]
the log from system-config-soundcard
Comment 10 Jobst Hoffmann 2006-04-27 15:09:08 EDT
Sorry, I've made a mistake, so my previous message should be appended after this
one:

Your trick worked fine, my Linux box is up and running (first without a net
connection, which worked after a 

modprobe e1000

). Now I have still two/three problems:
1) the soundcard isn't working at all
2) my usb stick isn't recognised
3) at the moment I don't know if the finger print reader is working (I will look
at it when the previous problems are solved)

For 1) I've sent the log from system-config-soundcard already, additionally I've
tried to 

modprobe snd_hda_intel

the coresponding terminal stalled, the output from

ps aux | grep modprobe

is

root      3093  0.0  0.0   1752   608 pts/4    S+   19:30   0:00 modprobe
snd_hda_intel
root      3106  0.0  0.0   4400   988 pts/4    S+   19:30   0:00 sh -c
/sbin/modprobe --ignore-install snd-pcm && /sbin/modprobe snd-pcm-oss &&
/sbin/modprobe snd-seq-device && /sbin/modprobe snd-seq-oss
root      3126  0.0  0.0   1808   576 pts/4    D+   19:30   0:00 /sbin/modprobe
snd_seq_oss
root      3149  0.0  0.0   1660   552 ?        D<   19:30   0:00 /sbin/modprobe
-q -- snd_card_0
root      3263  0.0  0.0   3940   752 pts/5    S+   19:33   0:00 grep modprobe

and on the text terminal <Ctrl><Alt><F1> I see many messages like

printk: 11 messages suppressed
azx_get_response timeout

For 2) I've looked at my older Fedora 4 installation, there are a lot of modules
that include a "usb" in their names. Is there a module which can be loaded first
and the rest is done automatically or is there a list of modules that should be
loaded piece by piece?
Comment 11 Harald Hoyer 2006-04-28 06:13:55 EDT
to work without sound remove from modules.conf:
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0  
options snd-hda-intel index=0  
remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel

and add snd-hda-intel to /etc/modprobe.d/blacklist.

restore the udev modprobe rule and try to restart. If you can boot, we will
reassign this bug to kernel.
Comment 12 Jobst Hoffmann 2006-04-28 07:31:59 EDT
to work without sound remove from modules.conf:
                                  -------
I think should read as            modprobe

I can boot, the usb stick is up and running.
Thank you for all your efforts!

If I can help I'll will do that according to your advices.
Comment 13 Harald Hoyer 2007-09-20 06:34:14 EDT
if you still have the problem with snd_hda_intel, you can file a new bug against
the component kernel.
Closing this bug with "NOTABUG" regarding udev.